=== modified file 'contrib/USC-start-stop-times.py'
--- contrib/USC-start-stop-times.py	2012-04-11 16:59:40 +0000
+++ contrib/USC-start-stop-times.py	2012-05-14 10:40:12 +0000
@@ -13,14 +13,14 @@
         ldtp.launchapp('./software-center')
         assert ldtp.waittillguiexist('frmUbuntuSoftwareCent*')
         self.msgs = []
-        a = "Time taken for the frame to open is " + str(
-            time.time() - start_time)
+        a = "Time taken for the frame to open is: " + str(
+            time.time() - start_time) + " Cpu percentage: " + str(ldtp.getcpustat('software-center')) + " Memory usage in MB: " + str(ldtp.getmemorystat('software-center'))
         self.msgs.append(a)
 
     def tearDown(self):
         ldtp.selectmenuitem('frmUbuntuSoftwareCent*', 'mnuClose')
         assert ldtp.waittillguinotexist('frmUbuntuSoftwareCent*')
-        c = "This test took a total of " + str(time.time() - start_time)
+        c = "This test took a total of " + str(time.time() - start_time) + " Cpu percentage: " + str(ldtp.getcpustat('software-center')) + " Memory usage in MB: " + str(ldtp.getmemorystat('software-center'))
         self.msgs.append(c)
         print '\n'.join(self.msgs)
 
@@ -28,7 +28,7 @@
         ldtp.waittillguiexist('frmUbuntuSoftwareCent*', 'btnAccessories')
         assert ldtp.objectexist('frmUbuntuSoftwareCent*', 'btnAccessories')
         b = "Time taken from start to find the Accessories button " + str(
-            time.time() - start_time)
+            time.time() - start_time) + " Cpu percentage: " + str(ldtp.getcpustat('software-center')) + " Memory usage in MB: " + str(ldtp.getmemorystat('software-center'))
         self.msgs.append(b)
 
 

=== modified file 'debian/changelog'
--- debian/changelog	2012-05-14 05:37:42 +0000
+++ debian/changelog	2012-05-15 02:39:12 +0000
@@ -49,7 +49,12 @@
     - make sure the search field does not disappear when an
       install or remove is in progress (LP: #876657)
 
- -- Gary Lasker <gary.lasker@canonical.com>  Mon, 14 May 2012 01:36:29 -0400
+  [ Dave Morley ]
+  * lp:~davmor2/software-center/add-performance:
+    - test code change only! add memory and cpt stats to the
+      test script 
+
+ -- Gary Lasker <gary.lasker@canonical.com>  Mon, 14 May 2012 22:36:15 -0400
 
 software-center (5.2.1) precise-proposed; urgency=low
 

